# Manuel de l'utilisateur KDE

&Lauri.Watts; &Lauri.Watts.mail;
7 juin 2005
KDE (K Desktop Environment)
kate
1

# `kate`

Éditeur de texte avancé pour &kde;

    kate -s, --start  nom  -u, --use -p, --pid pid -e, --encoding  nom -l, --line  ligne -c, --column  colonne -i, --stdin Options KDE standard Options Qt standard

## Description

&kate; est l'éditeur de texte avancé de &kde;.

&kate; fournit également la partie éditeur de diverses applications, sous le nom de &kwrite;.

Parmi quelques-unes des nombreuses fonctionnalités de &kate;, il faut citer la coloration syntaxique configurable pour des langages allant du C et du C++ au HTML en passant par les scripts bash, la capacité de créer et de maintenir des projets, une interface multidocument (MDI) et un émulateur de terminal indépendant.

Cependant, &kate; est beaucoup plus qu'un éditeur pour le programmeur. Sa capacité à ouvrir plusieurs fichiers à la fois en fait l'idéal pour l'édition des nombreux fichiers de configuration d'&UNIX;. Ce document a été écrit avec &kate;.

## Options

`-s`, `--start` nom

  Démarre &kate; avec une session donnée.

`-u, --use`

  Utilise un &kate; déjà actif.

`-p, --pid` pid

  Seulement pour réutiliser une instance de kate avec ce pid

`-e, --encoding` nom

  Définit l'encodage du fichier à ouvrir

  On peut employer cette option pour forcer un fichier ouvert au format utf-8, par exemple. (La commande `iconv -l` fournit une liste d'encodages, ce qui peut s'avérer utile.)

`-l, --line` ligne

  Navigue jusqu'à cette ligne

`-c, --column` colonne

  Navigue jusqu'à cette colonne

`-i, --stdin`

  Lit le contenu de `stdin`

## Voir également

kwrite(1)

Une documentation utilisateur plus détaillée est disponible sur help:/kate (saisissez cette URL dans &konqueror; ou exécutez ``khelpcenter` `help:/kate``).

Il y a également d'autres informations sur le site web de &kate;.

## Exemples

Pour ouvrir un fichier nommé `source.cpp` à la colonne 15, ligne 25, dans une fenêtre &kate; existante, on peut employer :

    kate -c 15 -l
    25 -u source.cpp

Lorsqu'on a une connexion Internet active, on peut tirer profit de la transparence réseau de &kde; pour ouvrir un fichier depuis un site ftp. Si l'on n'a pas les droits d'accès en écriture sur le serveur distant, le fichier sera ouvert en lecture seule et une invite demandera un nom de fichier local sous lequel enregistrer si l'on apporte des changements. Si l'on a les droits d'accès en écriture, les changements seront enregistrés de façon transparente au travers du réseau.

    kate ftp://ftp.kde.org/pub/kde/README_FIRST

## Auteurs

Le mainteneur de &kate; est &Christoph.Cullmann; &Christoph.Cullmann.mail;. Une liste exhaustive des auteurs et contributeurs est disponible dans le manuel utilisateur complet mentionné plus haut.